<?php

class DatapocketConncheckModuleFrontController extends ModuleFrontController
{

    public function postProcess()
    {
        $data = $this->module->frontControllerHeader(true);

        if(isset($data['token'])) {
            die(json_encode([
                'status' => 'success',
                'prestashop' => _PS_VERSION_,
                'addon' => $this->module->version
            ]));
        } else {
            die(json_encode([
                'status' => 'error',
                'message' => 'missing parameter key',
            ]));

        }
    }

    public function initContent()
    {
        parent::initContent();

        $this->setTemplate('module:datapocket/views/templates/front/conncheck.tpl');
    }
}
